Updates the item with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean |
Request Formats :
application/json, text/json
{
"id": "4aaef145-ba2e-486e-9ae1-1040edfc7bfb",
"db_info_id": "557c0644-08f3-4a99-b091-a24edf5df938",
"db_info_code": "sample string 3",
"db_info": {
"id": "8ae7696c-2eda-47e0-b218-d45393436bf5",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "b94abdd4-e466-4f08-989d-e7bbc04853c0",
"db_info_category_code": "sample string 6",
"parent_id": "1403796d-d10b-40a2-a440-b288535ec7fa",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-10-28T21:50:51.1811129+00:00"
},
"db_input_type_id": "8f5d726c-80ad-436b-af0e-8d1fac8c85fd",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.